roar_vs_connection_obj(3)

NAME
roar_vs_connection_obj, roar_vs_stream_obj, roar_vs_vio_obj - VS API interface for use of main API

SYNOPSIS

#include <roaraudio.h>

struct roar_connection * roar_vs_connection_obj(roar_vs_t * vss, int * error);

struct roar_stream * roar_vs_stream_obj (roar_vs_t * vss, int * error);

struct roar_vio_calls * roar_vs_vio_obj (roar_vs_t * vss, int * error);

DESCRIPTION
Those functions return internal connection, stream and VIO object of the VS object. They are used to use the main API with a VS opened stream.

roar_vs_connection_obj() returns the connection object used for the control connection to the server.

roar_vs_stream_obj() returns the stream object storing information about the stream.

roar_vs_vio_obj() returns the VIO object used to read data from or send data to the server.

Returned objects are freed as soon as the VS object is closed. If the VS object was created using roar_vs_new_from_con(3) the connection is not closed by the VS object and stay valid after close until it is closed by the program or library.

The VIO object MUST NOT be used while in buffered mode.

PARAMETERS

vss The VS object to return internal objects from.

error
    This is a pointer to a integer used to store the error value in case of error. This can be NULL if not used but it is very recommended to use this error value to report good error messages to the user.

RETURN VALUE
On success these calls return the described object. On error, NULL is returned.

EXAMPLES
FIXME

SEE ALSO
roarvs(7), libroar(7), RoarAudio(7).